SELECT
  'table' AS component,
  TRUE AS search,
  TRUE AS striped_rows,
  TRUE AS small,
  'Notice' AS markdown
;

SELECT
  "Products",
  COALESCE("category", "Categories"||'') "Category",
  COALESCE("group", "Groups"||'') "Group"
FROM sqlpage_products q
WHERE q.product IS NULL AND (q.category IS NOT NULL OR q.group IS NULL)
ORDER BY product, category, "group"
;

SELECT '# No Data' AS "Notice"
WHERE NOT EXISTS(SELECT * FROM sqlpage_products LIMIT 1);
